# $Revision: 1.21 $, $Date: 2012/04/02 11:23:15 $
Summary:	Tiny GNOME address book applet
Summary(pl.UTF-8):	Mały aplet książki adresowej dla GNOME
Name:		contacts
Version:	0.12
Release:	9
License:	GPL
Group:		Applications/Communications
Source0:	http://download.gnome.org/sources/contacts/0.12/%{name}-%{version}.tar.bz2
# Source0-md5:	0bb01fc7479a497550ea5f2e0035b9d8
Patch0:		makefile.patch
URL:		http://pimlico-project.org/contacts.html
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	evolution-data-server-devel >= 1.2
BuildRequires:	gettext-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk+2-devel >= 2:2.10.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Contacts is a small, lightweight addressbook that uses libebook, part
of EDS. This is the same library that GNOME Evolution uses, so all
contact data that exists in your Evolution addressbook is accessible
via Contacts. Contacts features advanced vCard field type handling and
is designed for use on hand-held devices, such as the Nokia 770 or the
Sharp Zaurus series of PDAs.

%description -l pl.UTF-8
Contacts to mała, lekka książka adresowa wykorzystująca libebook -
część EDS. Jest to ta sama biblioteka, której używa GNOME Evolution,
więc wszystkie dane kontaktowe istniejące w książce adresowej
Evolution są dostępne poprzez Contacts. Contacts ma obsługę
zaawansowanych typów pól vCard, jest zaprojektowany do używania na
urządzeniach przenośnych, takich jak Nokia 770 albo PDA z serii Sharp
Zaurus.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%gconf_schema_install contacts.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall contacts.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/contacts.schemas
%{_desktopdir}/contacts.desktop
%{_iconsdir}/hicolor/16x16/apps/contacts.png
%{_iconsdir}/hicolor/22x22/apps/contacts.png
%{_iconsdir}/hicolor/24x24/apps/contacts.png
%{_iconsdir}/hicolor/32x32/apps/contacts.png
%{_iconsdir}/hicolor/48x48/apps/contacts.png
%{_iconsdir}/hicolor/scalable/apps/contacts.svg
%{_mandir}/man1/contacts.1*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: contacts.spec,v $
Revision 1.21  2012/04/02 11:23:15  megabajt
- release 9

Revision 1.20  2011/10/22 08:23:40  arekm
- release 8

Revision 1.19  2011/10/02 16:37:02  wiget
- rel. 7

Revision 1.18  2011/02/04 18:23:39  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.17  2010/11/23 05:48:47  arekm
- release 5

Revision 1.16  2010/11/01 20:20:26  arekm
- release 4

Revision 1.15  2010/09/29 22:39:36  patrys
- fix build
- rel 3

Revision 1.14  2010/09/29 22:31:59  patrys
- rel 2

Revision 1.13  2009/11/24 12:57:03  sparky
- BR: gettext-devel, gnome-vfs2-devel

Revision 1.12  2009/11/24 12:31:20  patrys
- 0.11

Revision 1.11  2009/06/13 14:18:40  patrys
- 0.10
- new URL (GNOME)

Revision 1.10  2008/10/11 13:02:51  wolvverine
- rel.2, STBR

Revision 1.9  2008/06/07 12:14:16  patrys
- 0.9

Revision 1.8  2007/09/08 15:52:43  patrys
- more explicit

Revision 1.7  2007/09/08 15:47:45  patrys
- don't package 26x26

Revision 1.6  2007/09/08 15:43:46  patrys
- 0.7

Revision 1.5  2007/05/27 19:50:58  qboosh
- more BRs

Revision 1.4  2007/05/25 18:53:25  qboosh
- pl, more deps

Revision 1.3  2007/05/24 07:37:42  ankry
- cosmetics

Revision 1.2  2007/05/24 03:08:40  aredridel
- rebuild hicolor icons cache

Revision 1.1  2007/05/24 03:01:50  aredridel
- added
